<?php

namespace NoccyLabs\TinyEvent;

class Event
{
    protected $_type = null;

    protected $_stopped = false;

    public function __construct($type)
    {
        $this->_type = $type;
    }

    public function setType($type)
    {
        $this->_type = $type;
    }

    public function getType()
    {
        return $this->_type;
    }

    public function stopPropagation()
    {
        $this->_stopped = true;
    }

    public function isPropagationStopped()
    {
        return $this->_stopped;
    }
}