<?php

require_once __DIR__."/../vendor/autoload.php";

use NoccyLabs\TinyEvent\EventEmitterInterface;
use NoccyLabs\TinyEvent\EventEmitterTrait;

class MyClass implements EventEmitterInterface
{
    use EventEmitterTrait;

    public function test()
    {
        $this->emit("test");
    }

}

$class = new MyClass();

$class->addListener("test", function ($event, $foo) {
    echo "Got event of type: ".$event->getType()."\n";
    echo "Foo is: ".$foo."\n";
}, "Hello World");

$class->test();